For HIPAA and Pro accounts setup with Contact Consent, this endpoint can set contact's consent status. To do this, your account must have API import allowed and the user making the API request must have the "Can manually set consent" permission on for their role. You must then use the Contact's phone number or UUID (only 1 is needed in the body) and their consent status (true or false).
POST
/api/customers/set_consent.json
curl \
--request POST 'https://application.textline.com/api/customers/set_consent.json' \
--header "Content-Type: application/json" \
--data '{
"customer_uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
"phone_number": "4148675309",
"consent": 1
}'
Request example
{
"customer_uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
"phone_number": "4148675309",
"consent": 1
}
Response examples (200)
{
"success": 1
}